> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sellitbr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start preview chat

> Use this endpoint to test your bot. The answers will not be saved. And some blocks like "Send email" will be skipped.



## OpenAPI

````yaml POST /v1/sellits/{sellitId}/preview/startChat
openapi: 3.0.3
info:
  title: Chat API
  version: 3.0.0
servers:
  - url: https://sellitbr.com/api
security: []
externalDocs:
  url: https://docs.sellitbr.com/api-reference
paths:
  /v1/sellits/{sellitId}/preview/startChat:
    post:
      summary: Start preview chat
      description: >-
        Use this endpoint to test your bot. The answers will not be saved. And
        some blocks like "Send email" will be skipped.
      operationId: startChatPreview
      parameters:
        - in: path
          name: sellitId
          description: '[Where to find my bot''s ID?](../how-to#how-to-find-my-sellitid)'
          schema:
            type: string
            description: '[Where to find my bot''s ID?](../how-to#how-to-find-my-sellitid)'
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                isStreamEnabled:
                  type: boolean
                message:
                  type: string
                isOnlyRegistering:
                  type: boolean
                  description: >-
                    If set to `true`, it will only register the session and not
                    start the bot. This is used for 3rd party chat platforms as
                    it can require a session to be registered before sending the
                    first message.
                sellit:
                  oneOf:
                    - $ref: '#/components/schemas/sellitV5'
                    - $ref: '#/components/schemas/sellitV6'
                  discriminator:
                    propertyName: version
                    mapping:
                      '3':
                        $ref: '#/components/schemas/sellitV5'
                      '4':
                        $ref: '#/components/schemas/sellitV5'
                      '5':
                        $ref: '#/components/schemas/sellitV5'
                      '6':
                        $ref: '#/components/schemas/sellitV6'
                  description: >-
                    If set, it will override the sellit that is used to start
                    the chat.
                startFrom:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - group
                        groupId:
                          type: string
                      required:
                        - type
                        - groupId
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - event
                        eventId:
                          type: string
                      required:
                        - type
                        - eventId
                prefilledVariables:
                  type: object
                  additionalProperties: {}
                  description: >-
                    [More info about prefilled
                    variables.](../../editor/variables#prefilled-variables)
                  example:
                    First name: John
                    Email: john@gmail.com
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  sessionId:
                    type: string
                    description: To save and use for /continueChat requests.
                  sellit:
                    type: object
                    properties:
                      id:
                        type: string
                      theme:
                        $ref: '#/components/schemas/theme'
                      settings:
                        $ref: '#/components/schemas/settings'
                    required:
                      - id
                      - theme
                      - settings
                  lastMessageNewFormat:
                    type: string
                    description: >-
                      The sent message is validated and formatted on the
                      backend. For example, if for a date input you replied
                      something like `tomorrow`, the backend will convert it to
                      a date string. This field returns the formatted message.
                  messages:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                          required:
                            - id
                        - oneOf:
                            - $ref: '#/components/schemas/textMessage'
                            - $ref: '#/components/schemas/imageMessage'
                            - $ref: '#/components/schemas/videoMessage'
                            - $ref: '#/components/schemas/audioMessage'
                            - $ref: '#/components/schemas/embedMessage'
                            - $ref: '#/components/schemas/customEmbedMessage'
                          discriminator:
                            propertyName: type
                            mapping:
                              text:
                                $ref: '#/components/schemas/textMessage'
                              image:
                                $ref: '#/components/schemas/imageMessage'
                              video:
                                $ref: '#/components/schemas/videoMessage'
                              audio:
                                $ref: '#/components/schemas/audioMessage'
                              embed:
                                $ref: '#/components/schemas/embedMessage'
                              custom-embed:
                                $ref: '#/components/schemas/customEmbedMessage'
                  input:
                    allOf:
                      - anyOf:
                          - oneOf:
                              - $ref: '#/components/schemas/textInput'
                              - $ref: '#/components/schemas/buttonsInput'
                              - $ref: '#/components/schemas/email'
                              - $ref: '#/components/schemas/numberInput'
                              - $ref: '#/components/schemas/url'
                              - $ref: '#/components/schemas/phoneNumberInput'
                              - $ref: '#/components/schemas/dateInput'
                              - $ref: '#/components/schemas/paymentInput'
                              - $ref: '#/components/schemas/rating'
                              - $ref: '#/components/schemas/fileInput'
                              - $ref: '#/components/schemas/pictureChoice'
                            discriminator:
                              propertyName: type
                              mapping:
                                text input:
                                  $ref: '#/components/schemas/textInput'
                                choice input:
                                  $ref: '#/components/schemas/buttonsInput'
                                email input:
                                  $ref: '#/components/schemas/email'
                                number input:
                                  $ref: '#/components/schemas/numberInput'
                                url input:
                                  $ref: '#/components/schemas/url'
                                phone number input:
                                  $ref: '#/components/schemas/phoneNumberInput'
                                date input:
                                  $ref: '#/components/schemas/dateInput'
                                payment input:
                                  $ref: '#/components/schemas/paymentInput'
                                rating input:
                                  $ref: '#/components/schemas/rating'
                                file input:
                                  $ref: '#/components/schemas/fileInput'
                                picture choice input:
                                  $ref: '#/components/schemas/pictureChoice'
                          - oneOf:
                              - $ref: '#/components/schemas/buttonsInputV5'
                              - $ref: '#/components/schemas/fileInputV5'
                              - $ref: '#/components/schemas/pictureChoiceV5'
                            discriminator:
                              propertyName: type
                              mapping:
                                choice input:
                                  $ref: '#/components/schemas/buttonsInputV5'
                                file input:
                                  $ref: '#/components/schemas/fileInputV5'
                                picture choice input:
                                  $ref: '#/components/schemas/pictureChoiceV5'
                      - type: object
                        properties:
                          prefilledValue:
                            type: string
                          runtimeOptions:
                            type: object
                            properties:
                              paymentIntentSecret:
                                type: string
                              amountLabel:
                                type: string
                              publicKey:
                                type: string
                            required:
                              - paymentIntentSecret
                              - amountLabel
                              - publicKey
                  clientSideActions:
                    type: array
                    items:
                      oneOf:
                        - $ref: '#/components/schemas/csaScriptToExecute'
                        - $ref: '#/components/schemas/csaRedirect'
                        - $ref: '#/components/schemas/csaChatwoot'
                        - $ref: '#/components/schemas/csaGa'
                        - $ref: '#/components/schemas/csaWait'
                        - $ref: '#/components/schemas/csaSetVariable'
                        - $ref: '#/components/schemas/csaStreamOpenAiChatCompletion'
                        - $ref: '#/components/schemas/csaExecWebhook'
                        - $ref: '#/components/schemas/csaInjectStartProps'
                        - $ref: '#/components/schemas/csaPixel'
                        - $ref: '#/components/schemas/csaStream'
                        - $ref: '#/components/schemas/csaCodeToExecute'
                      discriminator:
                        propertyName: type
                        mapping:
                          scriptToExecute:
                            $ref: '#/components/schemas/csaScriptToExecute'
                          redirect:
                            $ref: '#/components/schemas/csaRedirect'
                          chatwoot:
                            $ref: '#/components/schemas/csaChatwoot'
                          googleAnalytics:
                            $ref: '#/components/schemas/csaGa'
                          wait:
                            $ref: '#/components/schemas/csaWait'
                          setVariable:
                            $ref: '#/components/schemas/csaSetVariable'
                          streamOpenAiChatCompletion:
                            $ref: '#/components/schemas/csaStreamOpenAiChatCompletion'
                          webhookToExecute:
                            $ref: '#/components/schemas/csaExecWebhook'
                          startPropsToInject:
                            $ref: '#/components/schemas/csaInjectStartProps'
                          pixel:
                            $ref: '#/components/schemas/csaPixel'
                          stream:
                            $ref: '#/components/schemas/csaStream'
                          codeToExecute:
                            $ref: '#/components/schemas/csaCodeToExecute'
                    description: Actions to execute on the client side
                  logs:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        description:
                          type: string
                        details: {}
                      required:
                        - status
                        - description
                    description: Logs that were saved during the last execution
                  dynamicTheme:
                    type: object
                    properties:
                      hostAvatarUrl:
                        type: string
                      guestAvatarUrl:
                        type: string
                    description: >-
                      If the sellit contains dynamic avatars, dynamicTheme
                      returns the new avatar URLs whenever their variables are
                      updated.
                  progress:
                    type: number
                    description: >-
                      If progress bar is enabled, this field will return a
                      number between 0 and 100 indicating the current progress
                      based on the longest remaining path of the flow.
                required:
                  - sessionId
                  - sellit
                  - messages
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    sellitV5:
      type: object
      properties:
        version:
          type: string
          enum:
            - '3'
            - '4'
            - '5'
        id:
          type: string
        groups:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              title:
                type: string
              graphCoordinates:
                type: object
                properties:
                  x:
                    type: number
                  'y':
                    type: number
                required:
                  - x
                  - 'y'
              blocks:
                type: array
                items:
                  oneOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - start
                        label:
                          type: string
                      required:
                        - id
                        - type
                        - label
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - text
                        content:
                          type: object
                          properties:
                            html:
                              type: string
                            richText:
                              type: array
                              items: {}
                            plainText:
                              type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - image
                        content:
                          type: object
                          properties:
                            url:
                              type: string
                            clickLink:
                              type: object
                              properties:
                                url:
                                  type: string
                                alt:
                                  type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - video
                        content:
                          type: object
                          properties:
                            url:
                              type: string
                            id:
                              type: string
                            type:
                              type: string
                              enum:
                                - url
                                - youtube
                                - vimeo
                                - tiktok
                                - gumlet
                            height:
                              anyOf:
                                - type: number
                                - {}
                            aspectRatio:
                              type: string
                            maxWidth:
                              type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - embed
                        content:
                          type: object
                          properties:
                            url:
                              type: string
                            height:
                              anyOf:
                                - type: number
                                - {}
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - audio
                        content:
                          type: object
                          properties:
                            url:
                              type: string
                            isAutoplayEnabled:
                              type: boolean
                      required:
                        - id
                        - type
                    - $ref: '#/components/schemas/textInput'
                    - $ref: '#/components/schemas/buttonsInputV5'
                    - $ref: '#/components/schemas/email'
                    - $ref: '#/components/schemas/numberInput'
                    - $ref: '#/components/schemas/url'
                    - $ref: '#/components/schemas/phoneNumberInput'
                    - $ref: '#/components/schemas/dateInput'
                    - $ref: '#/components/schemas/paymentInput'
                    - $ref: '#/components/schemas/rating'
                    - $ref: '#/components/schemas/fileInputV5'
                    - $ref: '#/components/schemas/pictureChoiceV5'
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Code
                        options:
                          type: object
                          properties:
                            name:
                              type: string
                            content:
                              type: string
                            isExecutedOnClient:
                              type: boolean
                            shouldExecuteInParentContext:
                              type: boolean
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Condition
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              blockId:
                                type: string
                              outgoingEdgeId:
                                type: string
                              content:
                                type: object
                                properties:
                                  logicalOperator:
                                    type: string
                                    enum:
                                      - OR
                                      - AND
                                  comparisons:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        variableId:
                                          type: string
                                        comparisonOperator:
                                          type: string
                                          enum:
                                            - Equal to
                                            - Not equal
                                            - Contains
                                            - Does not contain
                                            - Greater than
                                            - Less than
                                            - Is set
                                            - Is empty
                                            - Starts with
                                            - Ends with
                                            - Matches regex
                                            - Does not match regex
                                        value:
                                          type: string
                                      required:
                                        - id
                            required:
                              - id
                      required:
                        - id
                        - type
                        - items
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Redirect
                        options:
                          type: object
                          properties:
                            url:
                              type: string
                            isNewTab:
                              type: boolean
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Set variable
                        options:
                          oneOf:
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                expressionToEvaluate:
                                  type: string
                                isCode:
                                  type: boolean
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                type:
                                  type: string
                                  enum:
                                    - Now
                                    - Yesterday
                                    - Tomorrow
                                timeZone:
                                  type: string
                              required:
                                - type
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                type:
                                  type: string
                                  enum:
                                    - Today
                                    - Moment of the day
                                    - Empty
                                    - Environment name
                                    - User ID
                                    - Result ID
                                    - Random ID
                                    - Phone number
                                    - Contact name
                              required:
                                - type
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                type:
                                  type: string
                                  enum:
                                    - Custom
                                expressionToEvaluate:
                                  type: string
                                isCode:
                                  type: boolean
                              required:
                                - type
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                type:
                                  type: string
                                  enum:
                                    - Map item with same index
                                mapListItemParams:
                                  type: object
                                  properties:
                                    baseItemVariableId:
                                      type: string
                                    baseListVariableId:
                                      type: string
                                    targetListVariableId:
                                      type: string
                              required:
                                - type
                            - type: object
                              properties:
                                variableId:
                                  type: string
                                isExecutedOnClient:
                                  type: boolean
                                type:
                                  type: string
                                  enum:
                                    - Append value(s)
                                item:
                                  type: string
                              required:
                                - type
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Sellit link
                        options:
                          type: object
                          properties:
                            sellitId:
                              type: string
                            groupId:
                              type: string
                            mergeResults:
                              type: boolean
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Wait
                        options:
                          type: object
                          properties:
                            secondsToWaitFor:
                              type: string
                            shouldPause:
                              type: boolean
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Jump
                        options:
                          type: object
                          properties:
                            groupId:
                              type: string
                            blockId:
                              type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - AB test
                        items:
                          type: array
                          maxItems: 2
                          minItems: 2
                          items:
                            oneOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  blockId:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  path:
                                    type: string
                                    enum:
                                      - a
                                required:
                                  - id
                                  - path
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  blockId:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  path:
                                    type: string
                                    enum:
                                      - b
                                required:
                                  - id
                                  - path
                        options:
                          type: object
                          properties:
                            aPercent:
                              type: number
                              minimum: 0
                              maximum: 100
                      required:
                        - id
                        - type
                        - items
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Chatwoot
                        options:
                          type: object
                          properties:
                            task:
                              type: string
                              enum:
                                - Show widget
                                - Close widget
                            baseUrl:
                              type: string
                            websiteToken:
                              type: string
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                                avatarUrl:
                                  type: string
                                phoneNumber:
                                  type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Google Analytics
                        options:
                          type: object
                          properties:
                            trackingId:
                              type: string
                            category:
                              type: string
                            action:
                              type: string
                            label:
                              type: string
                            value:
                              anyOf:
                                - type: number
                                - {}
                            sendTo:
                              type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Google Sheets
                        options:
                          oneOf:
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                sheetId:
                                  type: string
                                spreadsheetId:
                                  type: string
                                action:
                                  type: string
                                  enum:
                                    - Get data from sheet
                                referenceCell:
                                  type: object
                                  properties:
                                    column:
                                      type: string
                                    value:
                                      type: string
                                    id:
                                      type: string
                                  required:
                                    - id
                                filter:
                                  type: object
                                  properties:
                                    comparisons:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          column:
                                            type: string
                                          comparisonOperator:
                                            type: string
                                            enum:
                                              - Equal to
                                              - Not equal
                                              - Contains
                                              - Does not contain
                                              - Greater than
                                              - Less than
                                              - Is set
                                              - Is empty
                                              - Starts with
                                              - Ends with
                                              - Matches regex
                                              - Does not match regex
                                          value:
                                            type: string
                                        required:
                                          - id
                                    logicalOperator:
                                      type: string
                                      enum:
                                        - OR
                                        - AND
                                cellsToExtract:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      column:
                                        type: string
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                    required:
                                      - id
                                totalRowsToExtract:
                                  type: string
                                  enum:
                                    - All
                                    - First
                                    - Last
                                    - Random
                              required:
                                - action
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                sheetId:
                                  type: string
                                spreadsheetId:
                                  type: string
                                action:
                                  type: string
                                  enum:
                                    - Insert a row
                                cellsToInsert:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      column:
                                        type: string
                                      value:
                                        type: string
                                      id:
                                        type: string
                                    required:
                                      - id
                              required:
                                - action
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                sheetId:
                                  type: string
                                spreadsheetId:
                                  type: string
                                action:
                                  type: string
                                  enum:
                                    - Update a row
                                cellsToUpsert:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      column:
                                        type: string
                                      value:
                                        type: string
                                      id:
                                        type: string
                                    required:
                                      - id
                                referenceCell:
                                  type: object
                                  properties:
                                    column:
                                      type: string
                                    value:
                                      type: string
                                    id:
                                      type: string
                                  required:
                                    - id
                                filter:
                                  type: object
                                  properties:
                                    comparisons:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          column:
                                            type: string
                                          comparisonOperator:
                                            type: string
                                            enum:
                                              - Equal to
                                              - Not equal
                                              - Contains
                                              - Does not contain
                                              - Greater than
                                              - Less than
                                              - Is set
                                              - Is empty
                                              - Starts with
                                              - Ends with
                                              - Matches regex
                                              - Does not match regex
                                          value:
                                            type: string
                                        required:
                                          - id
                                    logicalOperator:
                                      type: string
                                      enum:
                                        - OR
                                        - AND
                              required:
                                - action
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                sheetId:
                                  type: string
                                spreadsheetId:
                                  type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Make.com
                        options:
                          type: object
                          properties:
                            variablesForTest:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - id
                            responseVariableMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  bodyPath:
                                    type: string
                                required:
                                  - id
                            isAdvancedConfig:
                              type: boolean
                            isCustomBody:
                              type: boolean
                            isExecutedOnClient:
                              type: boolean
                            webhook:
                              type: object
                              properties:
                                id:
                                  type: string
                                queryParams:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                method:
                                  type: string
                                  enum:
                                    - POST
                                    - GET
                                    - PUT
                                    - DELETE
                                    - PATCH
                                    - HEAD
                                    - CONNECT
                                    - OPTIONS
                                    - TRACE
                                url:
                                  type: string
                                body:
                                  type: string
                              required:
                                - id
                            timeout:
                              type: number
                              minimum: 1
                              maximum: 120
                        webhookId:
                          type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - OpenAI
                        options:
                          oneOf:
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                baseUrl:
                                  type: string
                                apiVersion:
                                  type: string
                            - type: object
                              properties:
                                task:
                                  type: string
                                  enum:
                                    - Create chat completion
                                model:
                                  type: string
                                messages:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                          role:
                                            type: string
                                            enum:
                                              - system
                                              - user
                                              - assistant
                                          content:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - id
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                          role:
                                            type: string
                                            enum:
                                              - Messages sequence ✨
                                          content:
                                            type: object
                                            properties:
                                              assistantMessagesVariableId:
                                                type: string
                                              userMessagesVariableId:
                                                type: string
                                        required:
                                          - id
                                          - role
                                      - type: object
                                        properties:
                                          id:
                                            type: string
                                          role:
                                            type: string
                                            enum:
                                              - Dialogue
                                          dialogueVariableId:
                                            type: string
                                          startsBy:
                                            type: string
                                            enum:
                                              - user
                                              - assistant
                                        required:
                                          - id
                                          - role
                                advancedSettings:
                                  type: object
                                  properties:
                                    temperature:
                                      anyOf:
                                        - type: number
                                        - {}
                                responseMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      valueToExtract:
                                        type: string
                                        enum:
                                          - Message content
                                          - Total tokens
                                      variableId:
                                        type: string
                                    required:
                                      - id
                                      - valueToExtract
                                credentialsId:
                                  type: string
                                baseUrl:
                                  type: string
                                apiVersion:
                                  type: string
                              required:
                                - task
                            - type: object
                              properties:
                                task:
                                  type: string
                                  enum:
                                    - Create image
                                prompt:
                                  type: string
                                advancedOptions:
                                  type: object
                                  properties:
                                    size:
                                      type: string
                                      enum:
                                        - 256x256
                                        - 512x512
                                        - 1024x1024
                                responseMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      valueToExtract:
                                        type: string
                                        enum:
                                          - Image URL
                                      variableId:
                                        type: string
                                    required:
                                      - id
                                      - valueToExtract
                                credentialsId:
                                  type: string
                                baseUrl:
                                  type: string
                                apiVersion:
                                  type: string
                              required:
                                - task
                                - advancedOptions
                                - responseMapping
                            - type: object
                              properties:
                                credentialsId:
                                  type: string
                                baseUrl:
                                  type: string
                                apiVersion:
                                  type: string
                                task:
                                  type: string
                                  enum:
                                    - Create speech
                                model:
                                  type: string
                                input:
                                  type: string
                                voice:
                                  type: string
                                  enum:
                                    - alloy
                                    - echo
                                    - fable
                                    - onyx
                                    - nova
                                    - shimmer
                                saveUrlInVariableId:
                                  type: string
                              required:
                                - task
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Pabbly
                        options:
                          type: object
                          properties:
                            variablesForTest:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - id
                            responseVariableMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  bodyPath:
                                    type: string
                                required:
                                  - id
                            isAdvancedConfig:
                              type: boolean
                            isCustomBody:
                              type: boolean
                            isExecutedOnClient:
                              type: boolean
                            webhook:
                              type: object
                              properties:
                                id:
                                  type: string
                                queryParams:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                method:
                                  type: string
                                  enum:
                                    - POST
                                    - GET
                                    - PUT
                                    - DELETE
                                    - PATCH
                                    - HEAD
                                    - CONNECT
                                    - OPTIONS
                                    - TRACE
                                url:
                                  type: string
                                body:
                                  type: string
                              required:
                                - id
                            timeout:
                              type: number
                              minimum: 1
                              maximum: 120
                        webhookId:
                          type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Email
                        options:
                          type: object
                          properties:
                            credentialsId:
                              type: string
                            isCustomBody:
                              type: boolean
                            isBodyCode:
                              type: boolean
                            recipients:
                              type: array
                              items:
                                type: string
                            subject:
                              type: string
                            body:
                              type: string
                            replyTo:
                              type: string
                            cc:
                              type: array
                              items:
                                type: string
                            bcc:
                              type: array
                              items:
                                type: string
                            attachmentsVariableId:
                              type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Webhook
                          description: Legacy name for HTTP Request block
                        options:
                          type: object
                          properties:
                            variablesForTest:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - id
                            responseVariableMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  bodyPath:
                                    type: string
                                required:
                                  - id
                            isAdvancedConfig:
                              type: boolean
                            isCustomBody:
                              type: boolean
                            isExecutedOnClient:
                              type: boolean
                            webhook:
                              type: object
                              properties:
                                id:
                                  type: string
                                queryParams:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                method:
                                  type: string
                                  enum:
                                    - POST
                                    - GET
                                    - PUT
                                    - DELETE
                                    - PATCH
                                    - HEAD
                                    - CONNECT
                                    - OPTIONS
                                    - TRACE
                                url:
                                  type: string
                                body:
                                  type: string
                              required:
                                - id
                            timeout:
                              type: number
                              minimum: 1
                              maximum: 120
                        webhookId:
                          type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Zapier
                        options:
                          type: object
                          properties:
                            variablesForTest:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - id
                            responseVariableMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  variableId:
                                    type: string
                                  bodyPath:
                                    type: string
                                required:
                                  - id
                            isAdvancedConfig:
                              type: boolean
                            isCustomBody:
                              type: boolean
                            isExecutedOnClient:
                              type: boolean
                            webhook:
                              type: object
                              properties:
                                id:
                                  type: string
                                queryParams:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                method:
                                  type: string
                                  enum:
                                    - POST
                                    - GET
                                    - PUT
                                    - DELETE
                                    - PATCH
                                    - HEAD
                                    - CONNECT
                                    - OPTIONS
                                    - TRACE
                                url:
                                  type: string
                                body:
                                  type: string
                              required:
                                - id
                            timeout:
                              type: number
                              minimum: 1
                              maximum: 120
                        webhookId:
                          type: string
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Pixel
                        options:
                          oneOf:
                            - type: object
                              properties:
                                pixelId:
                                  type: string
                                isInitSkip:
                                  type: boolean
                                params:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value: {}
                                    required:
                                      - id
                            - type: object
                              properties:
                                pixelId:
                                  type: string
                                isInitSkip:
                                  type: boolean
                                params:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value: {}
                                    required:
                                      - id
                                eventType:
                                  type: string
                                  enum:
                                    - Lead
                                    - Contact
                                    - CompleteRegistration
                                    - Schedule
                                    - SubmitApplication
                                    - ViewContent
                                    - AddPaymentInfo
                                    - AddToCart
                                    - AddToWishlist
                                    - CustomizeProduct
                                    - Donate
                                    - FindLocation
                                    - InitiateCheckout
                                    - Purchase
                                    - Search
                                    - StartTrial
                                    - Subscribe
                              required:
                                - eventType
                            - type: object
                              properties:
                                pixelId:
                                  type: string
                                isInitSkip:
                                  type: boolean
                                params:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      key:
                                        type: string
                                      value: {}
                                    required:
                                      - id
                                eventType:
                                  type: string
                                  enum:
                                    - Custom
                                name:
                                  type: string
                              required:
                                - eventType
                      required:
                        - id
                        - type
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - Zemantic AI
                        blockId:
                          type: string
                        options:
                          type: object
                          properties:
                            credentialsId:
                              type: string
                            projectId:
                              type: string
                            systemPrompt:
                              type: string
                            prompt:
                              type: string
                            query:
                              type: string
                            maxResults:
                              type: integer
                            responseMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  valueToExtract:
                                    type: string
                                    enum:
                                      - Summary
                                      - Results
                                  variableId:
                                    type: string
                                required:
                                  - id
                                  - valueToExtract
                      required:
                        - id
                        - type
            required:
              - id
              - title
              - graphCoordinates
              - blocks
        events:
          type: array
        edges:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              from:
                anyOf:
                  - type: object
                    properties:
                      blockId:
                        type: string
                      itemId:
                        type: string
                    required:
                      - blockId
                  - type: object
                    properties:
                      eventId:
                        type: string
                    required:
                      - eventId
              to:
                type: object
                properties:
                  groupId:
                    type: string
                  blockId:
                    type: string
                required:
                  - groupId
            required:
              - id
              - from
              - to
        variables:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              value:
                nullable: true
                anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                      nullable: true
            required:
              - id
              - name
        settings:
          $ref: '#/components/schemas/settings'
        theme:
          $ref: '#/components/schemas/theme'
      required:
        - version
        - id
        - groups
        - events
        - edges
        - variables
        - settings
        - theme
      title: Sellit V5
    sellitV6:
      type: object
      properties:
        version:
          type: string
          enum:
            - '6'
        id:
          type: string
        groups:
          type: array
          items:
            $ref: '#/components/schemas/groupV6'
        events:
          type: array
          maxItems: 1
          minItems: 1
          items:
            oneOf:
              - $ref: '#/components/schemas/event'
        edges:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              from:
                anyOf:
                  - type: object
                    properties:
                      blockId:
                        type: string
                      itemId:
                        type: string
                    required:
                      - blockId
                  - type: object
                    properties:
                      eventId:
                        type: string
                    required:
                      - eventId
              to:
                type: object
                properties:
                  groupId:
                    type: string
                  blockId:
                    type: string
                required:
                  - groupId
            required:
              - id
              - from
              - to
        variables:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              value:
                nullable: true
                anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                      nullable: true
            required:
              - id
              - name
        settings:
          $ref: '#/components/schemas/settings'
        theme:
          $ref: '#/components/schemas/theme'
      required:
        - version
        - id
        - groups
        - events
        - edges
        - variables
        - settings
        - theme
      title: Sellit V6
    theme:
      type: object
      properties:
        general:
          type: object
          properties:
            font:
              anyOf:
                - type: string
                - oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Google
                        family:
                          type: string
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Custom
                        family:
                          type: string
                        css:
                          type: string
                        url:
                          type: string
                          description: Deprecated, use `css` instead
                      required:
                        - type
            background:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - Color
                    - Image
                    - None
                content:
                  type: string
            progressBar:
              type: object
              properties:
                isEnabled:
                  type: boolean
                color:
                  type: string
                backgroundColor:
                  type: string
                placement:
                  type: string
                  enum:
                    - Top
                    - Bottom
                thickness:
                  type: number
                position:
                  type: string
                  enum:
                    - fixed
                    - absolute
        chat:
          type: object
          properties:
            hostAvatar:
              type: object
              properties:
                isEnabled:
                  type: boolean
                url:
                  type: string
            guestAvatar:
              type: object
              properties:
                isEnabled:
                  type: boolean
                url:
                  type: string
            hostBubbles:
              type: object
              properties:
                backgroundColor:
                  type: string
                color:
                  type: string
            guestBubbles:
              type: object
              properties:
                backgroundColor:
                  type: string
                color:
                  type: string
            buttons:
              type: object
              properties:
                backgroundColor:
                  type: string
                color:
                  type: string
            inputs:
              type: object
              properties:
                backgroundColor:
                  type: string
                color:
                  type: string
                placeholderColor:
                  type: string
            roundness:
              type: string
              enum:
                - none
                - medium
                - large
        customCss:
          type: string
      title: Theme
    settings:
      type: object
      properties:
        general:
          type: object
          properties:
            isBrandingEnabled:
              type: boolean
            isTypingEmulationEnabled:
              type: boolean
            isInputPrefillEnabled:
              type: boolean
            isHideQueryParamsEnabled:
              type: boolean
            isNewResultOnRefreshEnabled:
              type: boolean
            rememberUser:
              type: object
              properties:
                isEnabled:
                  type: boolean
                storage:
                  type: string
                  enum:
                    - session
                    - local
        typingEmulation:
          type: object
          properties:
            enabled:
              type: boolean
            speed:
              type: number
            maxDelay:
              type: number
            delayBetweenBubbles:
              type: number
              minimum: 0
              maximum: 5
            isDisabledOnFirstMessage:
              type: boolean
        metadata:
          type: object
          properties:
            title:
              type: string
            description:
              type: string
            imageUrl:
              type: string
            favIconUrl:
              type: string
            customHeadCode:
              type: string
            googleTagManagerId:
              type: string
        whatsApp:
          type: object
          properties:
            isEnabled:
              type: boolean
            startCondition:
              type: object
              properties:
                logicalOperator:
                  type: string
                  enum:
                    - OR
                    - AND
                comparisons:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      comparisonOperator:
                        type: string
                        enum:
                          - Equal to
                          - Not equal
                          - Contains
                          - Does not contain
                          - Greater than
                          - Less than
                          - Is set
                          - Is empty
                          - Starts with
                          - Ends with
                          - Matches regex
                          - Does not match regex
                      value:
                        type: string
                    required:
                      - id
              required:
                - logicalOperator
                - comparisons
            sessionExpiryTimeout:
              type: number
              minimum: 0.01
              maximum: 48
              description: Expiration delay in hours after latest interaction
        publicShare:
          type: object
          properties:
            isEnabled:
              type: boolean
        security:
          type: object
          properties:
            allowedOrigins:
              type: array
              items:
                type: string
      title: Settings
    textMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        content:
          type: object
          properties:
            html:
              type: string
            richText:
              type: array
              items: {}
            plainText:
              type: string
      required:
        - type
        - content
      title: Text
    imageMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - image
        content:
          type: object
          properties:
            url:
              type: string
            clickLink:
              type: object
              properties:
                url:
                  type: string
                alt:
                  type: string
      required:
        - type
        - content
      title: Image
    videoMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - video
        content:
          type: object
          properties:
            url:
              type: string
            id:
              type: string
            type:
              type: string
              enum:
                - url
                - youtube
                - vimeo
                - tiktok
                - gumlet
            height:
              anyOf:
                - type: number
                - {}
            aspectRatio:
              type: string
            maxWidth:
              type: string
      required:
        - type
        - content
      title: Video
    audioMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - audio
        content:
          type: object
          properties:
            url:
              type: string
            isAutoplayEnabled:
              type: boolean
      required:
        - type
        - content
      title: Audio
    embedMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - embed
        content:
          type: object
          properties:
            url:
              type: string
            height:
              type: number
      required:
        - type
        - content
      title: Embed
    customEmbedMessage:
      type: object
      properties:
        type:
          type: string
          enum:
            - custom-embed
        content:
          type: object
          properties:
            waitForEventFunction:
              type: object
              properties:
                args:
                  type: object
                  additionalProperties: {}
                content:
                  type: string
              required:
                - args
                - content
            initFunction:
              type: object
              properties:
                args:
                  type: object
                  additionalProperties: {}
                content:
                  type: string
              required:
                - args
                - content
          required:
            - initFunction
      required:
        - type
        - content
      title: Custom embed
    textInput:
      type: object
      properties:
        id:
          type: string
        outgoingEdgeId:
          type: string
        type:
          type: string
          enum:
            - text input
        options:
          type: object
          properties:
            labels:
              type: object
              properties:
                placeholder:
                  type: string
                button:
                  type: string
            variableId:
              type: string
            isLong:
              type: boolean
      required:
        - id
        - type
      title: Text
    buttonsInput:
      type: object
      properties:
        id:
          type: string
        outgoingEdgeId:
          type: string
        type:
          type: string
          enum:
            - choice input
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              outgoingEdgeId:
                type: string
              content:
                type: string
              displayCondition:
                type: object
                properties:
                  isEnabled:
                    type: boolean
                  condition:
                    type: object
                    properties:
                      logicalOperator:
                        type: string
                        enum:
                          - OR
                          - AND
                      comparisons:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            variableId:
                              type: string
                            comparisonOperator:
                              type: string
                              enum:
                                - Equal to
                                - Not equal
                                - Contains
                                - Does not contain
                                - Greater than
                                - Less than
                                - Is set
                                - Is empty
                                - Starts with
                                - Ends with
                                - Matches regex
                                - Does not match regex
                            value:
                              type: string
                          required:
                            - id
            required:
              - id
        options:
          type: object
          properties:
            variableId:
              type: string
            isMultipleChoice:
              type: boolean
            buttonLabel:
              type: string
            dynamicVariableId:
              type: string
            isSearchable:
              type: boolean
            searchInputPlaceholder:
              type: string
      required:
        - id
        - type
        - items
      title: Buttons
    email:
      type: object
      properties:
        id:
          type: string
        outgoingEdgeId:
          type: string
        type:
          type: string
          enum:
            - email input
        options:
          type: object
          properties:
            variableId:
              type: string
            labels:
              type: object
              properties:
[...]
